<header class="topbar">
	<h3 class="header-title fz21-B">{{'My Locations' | translate}}</h3>
	<a class="header-icon" ng-click="goToDashboard()"></a>
</header>

<div ng-show="isEmpty(locations)">
	<div class="main fullHeight grBlueWhite">
		<div class="main-content location-bg text-center">
			<div class="icon-holder skyBlue pin-bar mb-5 circleGrow">
				<img src="assets/img3.0/pin-bar.svg">
			</div>
			<span class="fz21-B p-0">{{'You currently don’t have any' | translate}}<br>
				<strong>{{'MyLocations' | translate}}</strong> {{'saved yet' | translate}} .
			</span>
		</div>
	</div>
</div>

<div class="page" ng-hide="isEmpty(locations)">
	<div class="main has-navbar"
		ng-class="{'mainPaddingTop': row.toggleShow , 'mainPaddingBot': map.toggleShow}">
		<div class="rowSelect" ng-class="{'rowToggle': row.toggleShow}">
			<div class="col-6 fz16-R locationSelect">
				<input class="inp-cbx" id="selectAll" type="checkbox"
					style="display: none;" ng-model='isAllChecked'
					ng-change="changeAllSelection(isAllChecked)" /> <label class="cbx"
					for="selectAll"><span> <svg width="12px"
							height="12px">
                              <polyline points="1.5 6 4.5 9 10.5 1"></polyline>
                            </svg></span><span class="fz16-B">{{'select all' | 	translate}}</span></label>
			</div>
			<div class="col-6 locationSelect text-right">
				<label class="fz16-B SelectLabel" ng-click='deleteLocations()'>{{'delete'
					| translate}}</label>
			</div>
		</div>
		<div class="main-content"
			ng-class="{'mainPaddingTop': row.toggleShow , 'mainPaddingBot': map.toggleShow}">
			<div class="row mb-3 margin-location" ng-class="{'hide': row.toggleShow}"
				>
				<div class="col-6 fz16-R locationSelect">
					<span class="fz16-B" ng-click="row.toggleShow=!row.toggleShow"
						ng-class="{'hide': map.toggleShow}">{{'select' |
						translate}}</span>
				</div>
				<div class="col-6 text-right"
					style="z-index: 1;">
					<button class="btn-mapView fz16-R"
						ng-click="map.toggleShow=!map.toggleShow ; hideNav(); isSelectedBtnMap = true"
						ng-class="{'hide': map.toggleShow}">
						{{'show map' | translate}}&nbsp;<img
							src="assets/img3.0/icons8-map_markerNormal.svg" alt="">
					</button>
					<button class="btn-mapView fz16-R mapListHide"
						ng-click="map.toggleShow=!map.toggleShow ; hideNav(); isSelectedBtnMap = false"
						ng-class="{'mapList': map.toggleShow}">&nbsp;
						{{'list view' | translate}}
						<img src="assets/img3.0/listview.svg" alt="">
					</button>
				</div>
			</div>


			<div class="mapContainer" ng-class="{'mapToggle': map.toggleShow}">
				<div id="map" class="locationMap"></div>
			</div>
			<div class="mapListContainer" ng-show ="isSelectedBtnMap" id="requestDetails" ng-click="displayRequests()"
				style="margin-top: -7px;">
				<div class="dividerMap"></div>
				<div style="margin: 10px;">
					<h5 class="fz16-B mb-1 ng-binding"></h5>
					<address class="fs13-R mb-1 ng-binding">{{selectedLocation.location}}</address>
					<div class="makan-number">
						<div class="label">
							<img src="assets/img3.0/makan-label.png" alt="makan">
						</div>
						<span class="number ng-binding" style="width: 100px;">:
							{{selectedLocation.makaniNumber}}
						</span>
					</div>
					<div>
						<a  ng-click="createRequest(selectedLocation)"
							style="height: 35px;width: 50%;margin-right: auto!important;"
							class="btn btn--goto skyBlue2 fz15-B submit-map my-location" >{{ 'Create_request_from_this_location' | translate }}</a>
					</div>
				</div>
				<div class="slider">
					<slick class="request-slider" settings="slickConfig" ng-if="slickConfigLoaded">
					<div class="sliders-holder" ng-repeat="slides in sliders">

						<div class="request-item">
							<section class="content-section p-0">
								<div class="location-wrapper mb-2">
									<div class="location-info mw-100">
										<h5 class="fz16-B mb-1">{{currentLang ==
											'ar'?slides.serviceTitleAr:slides.serviceTitleEn}}</h5>
										<address class="fs13-R mb-1">{{slides.RequestNumber}}
										</address>
									</div>
								</div>

							</section>
						</div>
					</div>
					</slick>
				</div>
			</div>


			<div class="requests" ng-class="{'requestsHide': map.toggleShow}">
				<div class="locations mb-3 form-horizontal"
					ng-repeat="items in locations track by $index" init="refresh();">
					<div class="listSelect"
						ng-class="{'showSelectList': row.toggleShow}">
						<input class="inp-cbx" id="{{$index}}" type="checkbox"
							style="display: none;" value="{{$index}}"
							ng-model="items.checked" /> <label class="cbx" for="{{$index}}"><span>
								<svg width="12px" height="12px">
                              <polyline points="1.5 6 4.5 9 10.5 1"></polyline>
                            </svg>
						</span></label>
					</div>
					<div class="listItems"
						ng-class="{'noBorderBottom': items.toggleShow,
                            'translateList':  row.toggleShow}">
						<section class="content-section">
							<div class="location-wrapper mb-2">
								<div class="location-info">
									<h5 class="fz16-B mb-1">{{items.locationDetail}}</h5>
									<address class="fs13-R mb-1">{{items.location}}</address>
									<div class="makan-number">
										<div class="label">
											<img src="assets/img3.0/makan-label.png" alt="makan">
										</div>
										<span class="number" style="width: 100px;">:
											{{items.makaniNumber}}</span>
									</div>
								</div>
								<div class="map location-map">
									<img src="{{items.imgMapLocation}}" alt="map">
								</div>
							</div>
							<div>
								<a  ng-click="createRequest(items)"
									style="height: 35px;width: 50%;margin-right: auto!important;"
									class="btn btn--goto skyBlue2 fz15-B submit-map my-location" >{{ 'Create_request_from_this_location' | translate }}</a>
							</div>
							<div class="fz16-B text-blue pt-1 pb-1 request-el"
								ng-click="toggleShow[$index]=!toggleShow[$index]">
								<span class="request-number">{{items.requestList.length}}</span>
								{{'requests' | translate}}
							</div>
						</section>
					</div>

					<div style="overflow-y: scroll;height: 300px;" class="widgetRequest"
						ng-class="{'showWidgetRequest': toggleShow[$index],
                            'translateList':  row.toggleShow}">
						<div class="p-3 d-flex">
							<ul>
								<li ng-repeat="request in items.requestList"
									ng-click="goTo(request)">
									<span class="list-icon mr-2"> <img
										src="assets/img3.0/i-services.png" alt="">
								</span> <span class="fz16-B textIcon">{{currentLang ==
										'ar'?request.serviceTitleAr:request.serviceTitleEn}}</span>
								</li>

							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>



